> # NAME

> cgDestroyObj - destroy an obj

> # SYNOPSIS

>       #include <Cg/cg.h>

>       void cgDestroyObj( CGobj obj );

> # PARAMETERS

> obj

>   The object to delete.

> # RETURN VALUES

> None.

> # DESCRIPTION

> cgDestroyObj removed the specified object and all its associated data.

> # EXAMPLES

>      CGcontext ctx = cgCreateContext();
>      CGobj structObj = cgCreateObj(ctx, CG_SOURCE, src, CG_PROFILE_ARBVP1, NULL);

>      // Use obj, then ...

>      cgDestroyObj( structObj );

> # ERRORS

> CG_INVALID_OBJ_HANDLE_ERROR is generated if obj is not a valid object handle.

> # HISTORY

> cgDestroyObj was introduced in Cg 2.0.

> # SEE ALSO

> cgCreateObj, cgCreateObjFromFile